Subject: Re: [sipcore] I-D Action: draft-sparks-sipcore-refer-clarifications-04.txt

From: OKUMURA Shinji <[email-masked]>
Date: Tue, 19 Aug 2014 21:13:40 +0900

Hi,

> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-sparks-sipcore-refer-clarifications/

I want this document to clarify the behavior of referer and referee.
That is the scope of this document, isn't it?

> 3.  Use of GRUU is mandatory
In this section, I want this document to clarify the behavior of referee that is 6665 compliant UAS.

If the 6665 compliant UAS supports REFER, then
 1) In a dialog created by INVITE, a local Contact of the UAS MUST be GRUU.
 2) If the UAS supports a scenario for a transfer, then it SHOULD support tdialog.
 3) When the UAS receives REFER within the dialog, if referer supports tdialog,
    then the UAS MAY respond by 3xx "Extension Required" with "Required: tdialog" and "Contact: GRUUofReferee",
    else the UAS MAY accept the REFER.
 4) When the UAS receives REFER out of the dialog, UAS MAY accept the REFER.

> 4.  Dialog reuse is prohibited
In this section, I want this document to clarify the behavior of referer that is 6665 compliant UAC.

 1) If a UAS's local Contact inside an existing dialog is gruu, then the 6665 compliant UAC MUST use REFER out of dialog.
 2) If the UAC supports a scenario for a transfer, then it SHOULD support tdialog.
 3) If a UAS does not support both of gruu and tdialog, then the 6665 compliant UAC MAY use REFER within dialog.
 4) If a UAC received 3xx "Extension Required" response for REFER that contains "Required: tdialog",
    then UAS MAY send REFER out of dialog. The REFER request SHOULD contain "Targer-Dialog" header.

3xx "Extension Required" is proceeded as described in RFC3261, the handling needs no extensions.

Regards,
Shinji